6.0.0-git
2019-03-18

[#6332] Allow switching to IMP/DIMP from the MIMP login screen
Summary Allow switching to IMP/DIMP from the MIMP login screen
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners chuck (at) horde (dot) org, slusarz (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2008-02-27 (4037 days ago)
Due
Updated 2008-08-30 (3852 days ago)
Assigned 2008-08-29 (3853 days ago)
Resolved 2008-08-30 (3852 days ago)
Milestone 1.1
Patch No

History
2008-08-30 02:40:42 Chuck Hagenbuch Comment #7
Assigned to Chuck Hagenbuch
Assigned to Michael Slusarz
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Thanks, committed.
2008-08-29 18:19:02 Michael Slusarz Comment #4 Reply to this comment
Looks good to me.
2008-08-29 03:15:46 Chuck Hagenbuch New Attachment: index.php.diff Download
 
2008-08-29 03:15:23 Chuck Hagenbuch Comment #3
Taken from Michael Slusarz
State ⇒ Assigned
New Attachment: imp-redirect.php.diff Download
Reply to this comment
I'm attaching two patches. The first one, to imp/redirect.php, ensures 
we go directly to the application selected (imp, dimp, or mimp) that 
the user chooses on the login screen if it isn't the default 
application for their browser, not just if it isn't imp (so mobile 
users who select IMP get the URL for IMP) OR if the application isn't 
IMP (so no one gets the frameset when they choose DIMP or MIMP on the 
login screen).



The second modifies horde/index.php to honor a url parameter for 
mobile browsers. It's entirely possible that would lead to undesirable 
results sometimes, but I think on balance it's better than showing 
mobile users our pretty much useless (as of now) mobile portal.



I'd like to commit these. Any comments.
2008-03-29 23:04:40 Michael Slusarz Version ⇒ HEAD
Queue ⇒ IMP
 
2008-03-29 23:04:23 Michael Slusarz Comment #2
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Added to HEAD and FW_3.
2008-03-06 00:34:19 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Priority ⇒ 2. Medium
Milestone ⇒ 1.1
 
2008-02-27 23:34:09 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Allow switching to IMP/DIMP from the MIMP login screen
Queue ⇒ MIMP
Reply to this comment

Saved Queries